@import url('https://fonts.googleapis.com/css2?family=Rubik:wght@300;400;500;600;700;800;900&display=swap');

/* codigo que le da color segun el tipo */
:root{
    --clr-black: #1c1c1c;
    --clr-gray:#ececec;
    --clr-white:#f7f7f7;

    --type-normal:#A8A878;
    --type-fire:#F08030;
    --type-water:#6890F0;
    --type-grass:#78C850;
    --type-electric:#F8D030;
    --type-ice:#98D8D8;
    --type-fighting:#C03028;
    --type-poison:#A040A0;
    --type-ground:#E0C068;
    --type-flying:#A890F0;
    --type-psychic:#F85888;
    --type-bug:#A8B820;
    --type-rock:#B8A038;
    --type-ghost:#705898;
    --type-dark:#705848;
    --type-dragon:#7038F8;
    --type-steel:#B8B8D0;
    --type-fairy:#F0B6BC;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    color: var(--clr-black);
    font-family: 'Rubik', sans-serif;
}

ul{
    list-style: none;
}
button{
    background-color: transparent;
    border: 0;
    border-radius: 0;
}
body{
    min-height: 100vh;
    background-color: var(--clr-gray);
}
header{
    padding-block: 1rem;
    box-shadow: 0 0 2rem -1rem rgb(0, 0, 0, .5);
    background-color: var(--clr-white);
}
.nav{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    align-items: flex-start;
    padding-inline: 2rem;
    max-width: 1000px;
    margin: 0 auto;
}
.nav-list{
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: .5rem;
}
.btn-header{
    background-color: var(--clr-gray);
    padding: .5rem;
    border-radius: 100vmax;
    cursor: pointer;
    text-transform: uppercase;
    font-weight: 600;
    box-shadow: 0 0 1rem rgb(0, 0, 0, .25);
    transition: .2s;
}
.btn-header:hover{
transform: scale(1.1);
box-shadow: 0 0 1rem rgb(0, 0, 0, .25);
}

main{
    padding: 2rem;
    max-width: 1000px;
    margin: 0 auto;
}
.pokemon-todos{
    display: grid;
    grid-template-columns: 1fr;
    gap: 1rem;

}
@media screen and (min-width:450px) {
    .pokemon-todos{
        grid-template-columns: 1fr 1fr;
    }
}
@media screen and (min-width:700px) {
    .pokemon-todos{
        grid-template-columns: 1fr 1fr 1fr;
    }
}
.pokemon-imagen img{
    width: 100%;
    max-width: 6rem;
}
.pokemon{
    border-radius: 1rem;
    background-color: var(--clr-white);
    box-shadow: 0 0 3rem -1rem rgb(0, 0, 0, .25);
    padding-block: 1rem;
    text-transform: uppercase;
    position: relative;
    isolation: isolate;
    overflow: hidden;
}
.pokemon-id-back{
    position: absolute;
    top: 1rem;
    left:50%;
    transform: translateX(-50%);
    font-size: 6rem;
    font-weight: 800;
    color: var(--clr-gray);
    z-index: -1;
}
.pokemon-imagen{
    padding-inline: 1rem;
    display: flex;
    justify-content: center;
}
.pokemon-info{
    display: flex;
    flex-direction: column;
    gap: .5rem;
    padding-inline: 1rem;
    align-items: center;
    text-align: center;
}
.nombre-contenedor{
    display: flex;
    align-items: center;
    column-gap: 2rem;
    flex-wrap: wrap;
    justify-content: center;
}
.pokemon-id{
    background-color: var(--clr-gray);
    padding: .25rem .5rem;
    border-radius: 100vmax;
    font-size: .75rem;
    font-weight: 500;
}
.pokemon-nombre{
    font-size: 1.4rem;
}
.pokemon-tipos{
    display: flex;
    gap: .5rem;
    font-size: .75rem;
    font-weight: 500;
    flex-wrap: wrap;
    justify-content: center;
    
}
.tipo{
    padding: .25rem .5rem;
    border-radius: 100vmax;
}
.pokemon-stats{
    display: flex;
    gap: 1rem;
    font-size: .85rem;
}
.stat{
    background-color: var(--clr-gray);
    padding: .25rem .5rem;
    border-radius: 100vmax;

}
footer{
    padding: 2rem;
    max-width: 1000px;
    margin: 0 auto;
    
    
}
footer div{
    display: flex;
    align-items: center;
    column-gap: 2rem;
    flex-wrap: wrap;
    justify-content: center;
}
footer img{
    gap: 1rem;
    width: 80px;
   
}

/* Estilos para el formulario de búsqueda */
.search-form {
    display: flex;
    align-items: center;
  }
  
  .search-input {
    margin-right: 10px;
    padding: 5px;
    border: none;
    border-radius: 5px;
  }
  
  .btn-search {
    padding: 5px 10px;
    background-color: var(--clr-gray);
    border: none;
    border-radius: 5px;
    cursor: pointer;
  }
  






.normal{
    background-color: var(--type-normal);
    color: var(--clr-black);
}
.fire{
    background-color: var(--type-fire);
    color: var(--clr-black);
}
.water{
    background-color: var(--type-water);
    color: var(--clr-black);
}
.grass{
    background-color: var(--type-grass);
    color: var(--clr-black);
}
.electric{
    background-color: var(--type-electric);
    color: var(--clr-black);
}
.ice{
    background-color: var(--type-ice);
    color: var(--clr-black);
}
.fighting{
    background-color: var(--type-fighting);
    color: var(--clr-white);
}
.poison{
    background-color: var(--type-poison);
    color: var(--clr-white);
}
.ground{
    background-color: var(--type-ground);
    color: var(--clr-black);
}
.flying{
    background-color: var(--type-flying);
    color: var(--clr-black);
}
.psychic{
    background-color: var(--type-psychic);
    color: var(--clr-black);
}
.bug{
    background-color: var(--type-bug);
    color: var(--clr-black);
}
.rock{
    background-color: var(--type-rock);
    color: var(--clr-black);
}
.ghost{
    background-color: var(--type-ghost);
    color: var(--clr-white);
}
.dark{
    background-color: var(--type-dark);
    color: var(--clr-white);
}
.dragon{
    background-color: var(--type-dragon);
    color: var(--clr-white);
}
.steel{
    background-color: var(--type-steel);
    color: var(--clr-black);
}
.fairy{
    background-color: var(--type-fairy);
    color: var(--clr-black);
}
